g2bAPI Reference
Messages

Steer the current run

Adds a steering instruction to the active run without creating a new run.

POST
/v1/threads/{id}/steer

Adds a steering instruction to the active run without creating a new run.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/threads/string/steer" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string",    "client_request_id": "string"  }'
{  "control": {    "id": "string",    "thread_id": "string",    "kind": "queue",    "status": "pending",    "prompt": "string",    "prompt_parts": [      {        "type": "text",        "text": "string"      }    ],    "collaboration_mode": "default",    "target_run_id": "string",    "created_run_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "applied_at": "2019-08-24T14:15:22Z"  },  "run": {    "run_id": "string",    "run_status": "queued",    "message_id": "string",    "run_url": "string",    "events_url": "string"  }}